Bug 242863 - A warning message(invalid IRQ. Check vendor BIOS) is displayed by PCI express port.
Summary: A warning message(invalid IRQ. Check vendor BIOS) is displayed by PCI express...
Status: CLOSED DUPLICATE of bug 219318
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: All
low
medium
Target Milestone: ---
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 05:16 UTC by Haruo Tomita
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 15:34:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg of 2.6.18-8.1.3.el5 (36.71 KB, text/plain)
2007-06-06 05:24 UTC, Haruo Tomita
no flags Details
[PATCH] fix invalid IRQ. Check vendor BIOS (734 bytes, patch)
2007-06-06 05:34 UTC, Haruo Tomita
no flags Details | Diff

Description Haruo Tomita 2007-06-06 05:16:12 UTC
Description of problem:
The following warning messages on some PCI Express ports.

pcie_portdrv_probe->Dev[2601:8086] has invalid IRQ. Check vendor BIOS

Version-Release number of selected component (if applicable):
2.6.18-8.1.4.el5

How reproducible:
EL5 is booted.

Steps to Reproduce:
1. EL5 is booted.
2.
3.
  
Actual results:
A warning message is displayed by PCI express port.

Expected results:
A warning message is not displayed.

Additional info:

Comment 1 Haruo Tomita 2007-06-06 05:24:51 UTC
Created attachment 156315 [details]
dmesg of 2.6.18-8.1.3.el5

Comment 2 Haruo Tomita 2007-06-06 05:31:56 UTC
This issue is already fixed by the upstream.

http://lkml.org/lkml/2006/12/6/102
http://lkml.org/lkml/2007/3/23/136

The patch for el5 is as follows.

 portdrv_pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -urpN linux-2.6.18-8.1.4.el5.orig/drivers/pci/pcie/portdrv_pci.c linux-
2.6.18-8.1.4.el5/drivers/pci/pcie/portdrv_pci.c
--- linux-2.6.18-8.1.4.el5.orig/drivers/pci/pcie/portdrv_pci.c	2006-09-20 
12:42:06.000000000 +0900
+++ linux-2.6.18-8.1.4.el5/drivers/pci/pcie/portdrv_pci.c	2007-06-06 
13:26:04.000000000 +0900
@@ -51,10 +51,10 @@ static int __devinit pcie_portdrv_probe 
 		return -ENODEV;
 	
 	pci_set_master(dev);
-        if (!dev->irq) {
+        if (!dev->irq && dev->pin) {
 		printk(KERN_WARNING 
 		"%s->Dev[%04x:%04x] has invalid IRQ. Check vendor BIOS\n", 
-		__FUNCTION__, dev->device, dev->vendor);
+		__FUNCTION__, dev->vendor, dev->device);
 	}
 	if (pcie_port_device_register(dev)) {
 		pci_disable_device(dev);



Comment 3 Haruo Tomita 2007-06-06 05:34:43 UTC
Created attachment 156316 [details]
[PATCH] fix invalid IRQ. Check vendor BIOS


Note You need to log in before you can comment on or make changes to this bug.